slowsort(X,Y) :- perm(X,Y), sorted(Y).
sorted([]).
sorted([X|[]]).
sorted([X|[Y|Z]]) :- X @=< Y, sorted([Y|Z]).

perm([],[]).
perm([X|Y],[U|V]) :- delete(U,[X|Y],Z), perm(Z,V).

delete(X,[X|Y],Y).
delete(X,[Y|Z],[Y|W]) :- delete(X,Z,W).
